Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.axis
Class SymbolicTickUnit

    java.lang.Object
      org.jfree.chart.axis.TickUnit
          org.jfree.chart.axis.NumberTickUnit
              org.jfree.chart.axis.SymbolicTickUnit

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class SymbolicTickUnit
extends NumberTickUnit
implements java.io.Serializable

A symbolic tick unit.

Author:
  Anthony Boulestreau
See Also:
  Serialized Form

Constructor Summary
`SymbolicTickUnit(double size, java.lang.String[] sv)` Creates a new symbolic tick unit.

Method Summary
`int` | `getSymbolCount()` Returns the number of symbols in this unit.
`java.lang.String` | `valueToString(double value)` Converts a value to a string, using the list of symbolic values.

Methods inherited from class org.jfree.chart.axis.TickUnit
`compareTo, equals, getSize`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SymbolicTickUnit

    public SymbolicTickUnit(double size,
                            java.lang.String[] sv)

  Creates a new symbolic tick unit.

Parameters:
  `size` - the size of the tick unit.
  `sv` - the list of symbolic value to display instead of the numeric value.

Method Detail

### valueToString

    public java.lang.String valueToString(double value)

  Converts a value to a string, using the list of symbolic values. ex: if the symbolic value list is ["up", "down"] then 0 is convert to "up" and 1 to "down".

  Overrides:
    `valueToString` in class `NumberTickUnit`
  Parameters:
    `value` - value to convert.
  Returns:
    the symbolic value.

### getSymbolCount

    public int getSymbolCount()

  Returns the number of symbols in this unit.

  Returns:
    the symbol count.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD